Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class NameConstraints

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.NameConstraints

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class NameConstraints
extends ASN1Object

Constructor Summary
`NameConstraints(GeneralSubtree[] permitted, GeneralSubtree[] excluded)` Constructor from a given details.

Method Summary
`GeneralSubtree[]` | `getExcludedSubtrees()`
`static NameConstraints` | `getInstance(java.lang.Object obj)`
`GeneralSubtree[]` | `getPermittedSubtrees()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameConstraints

    public NameConstraints(GeneralSubtree[] permitted,
                           GeneralSubtree[] excluded)

  Constructor from a given details.

  permitted and excluded are arrays of GeneralSubtree objects.

Parameters:
  `permitted` - Permitted subtrees
  `excluded` - Excludes subtrees

Method Detail

### getInstance

    public static NameConstraints getInstance(java.lang.Object obj)

### getPermittedSubtrees

    public GeneralSubtree[] getPermittedSubtrees()

### getExcludedSubtrees

    public GeneralSubtree[] getExcludedSubtrees()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD